

metadata:
  image.type: 'kernel-ci'
  image.url: https://storage.kernelci.org/next/master/next-20190618/arm64/defconfig/gcc-8/
  kernel.tree: next
  kernel.version: next-20190515
  kernel.endian: little
  kernel.defconfig: defconfig
  kernel.defconfig_base: defconfig
  kernel.arch_defconfig: arm64-defconfig
  platform.dtb: None
  platform.dtb_short: None
  platform.fastboot: false
  platform.name: qemu
  platform.mach: qemu
  test.plan: uefi-arm64-gicv3
  git.commit: 1c6b40509daf5190b1fd2c758649f7df1da4827b
  git.describe: next-20190515
  git.branch: master
  git.url: git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
  device.type: qemu
  job.arch: arm64
  job.name: next-master-next-20190618-arm64-defconfig-gcc-8-no-dtb-qemu-uefi-arm64-gicv3
  job.kernel_url: https://storage.kernelci.org/next/master/next-20190618/arm64/defconfig/gcc-8/bzImage
  job.kernel_image: bzImage
  job.modules_url: https://storage.kernelci.org/next/master/next-20190618/arm64/defconfig/gcc-8/modules.tar.xz
  job.initrd_url: https://storage.kernelci.org/images/rootfs/buildroot/kci-2019.02-2-gefc755ba4a02/arm64/base/rootfs.cpio.gz
  job.nfsrootfs_url: None
  job.dtb_url: None
  job.file_server_resource: next/master/next-20190618/arm64/defconfig/gcc-8
  job.build_environment: gcc-8



device_type: qemu



job_name: next-master-next-20190618-arm64-defconfig-gcc-8-no-dtb-qemu-uefi-arm64-gicv3
timeouts:
  job:
    minutes: 10
  action:
   minutes: 10
  actions:
    power-off:
      seconds: 30
priority: high
visibility: public



context:
  arch: arm64

  extra_options: -machine gic-version=3

  cpu: cortex-a57
  guestfs_interface: virtio

actions:
- deploy:
    timeout:
      minutes: 3
    to: tmpfs
    os: oe
    images:
      bios:
        image_arg: '-bios {bios}'
        url: http://people.linaro.org/~ard.biesheuvel/kernelci/QEMU_EFI.fd-AARCH64-RELEASE-325ad6226099
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyAMA0,115200 root=/dev/ram0 debug verbose"'
        url: https://storage.kernelci.org/next/master/next-20190618/arm64/defconfig/gcc-8/bzImage
      ramdisk:
        image_arg: '-initrd {ramdisk}'
        url: https://storage.kernelci.org/images/rootfs/buildroot/kci-2019.02-2-gefc755ba4a02/arm64/base/rootfs.cpio.gz

- boot:
    timeout:
      minutes: 5
    method: qemu
    media: tmpfs
    prompts:
      - '/ #'
